summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author DhabyX2017-01-17 16:57:32 +0100
committer Willy Sudiarto Raharjo2017-01-20 13:35:25 +0100
commit01214312a29888960f1f5715381bf303d702e3be (patch)
tree7668fbb95cd2c84fdacc1aef181281128ecd9a0f
parentf66dd7f634e5313792656554578d773b68b4da46 (diff)
downloadslackbuilds-01214312a29888960f1f5715381bf303d702e3be.tar.gz
development/electron-prebuild: Added (open source library).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--development/electron-prebuild/README9
-rw-r--r--development/electron-prebuild/electron-prebuild.SlackBuild90
-rw-r--r--development/electron-prebuild/electron-prebuild.info14
-rw-r--r--development/electron-prebuild/slack-desc19
4 files changed, 132 insertions, 0 deletions
diff --git a/development/electron-prebuild/README b/development/electron-prebuild/README
new file mode 100644
index 0000000000..fe547f4e23
--- /dev/null
+++ b/development/electron-prebuild/README
@@ -0,0 +1,9 @@
+electron-prebuild (Library for building cross-platform applications)
+
+Electron is an open source library developed by GitHub for building
+cross-platform desktop applications with HTML, CSS, and JavaScript.
+
+Electron accomplishes this by combining Chromium and Node.js into a
+single runtime and apps can be packaged for Mac, Windows, and Linux.
+
+This is electron binary repackaged in Slackware style.
diff --git a/development/electron-prebuild/electron-prebuild.SlackBuild b/development/electron-prebuild/electron-prebuild.SlackBuild
new file mode 100644
index 0000000000..227d365090
--- /dev/null
+++ b/development/electron-prebuild/electron-prebuild.SlackBuild
@@ -0,0 +1,90 @@
+#!/bin/sh
+
+# Slackware build script for electron-prebuild
+
+# Copyright 2017 Dhaby Xiloj <slack.dhabyx@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PKGNAM=electron
+PRGNAM=$PKGNAM-prebuild
+VERSION=${VERSION:-1.3.13}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "x86_64" ]; then
+ PKG_ARCH="x64"
+else
+ PKG_ARCH="ia32"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+mkdir $PKGNAM-$VERSION
+cd $PKGNAM-$VERSION
+unzip $CWD/$PKGNAM-v$VERSION-linux-$PKG_ARCH.zip
+tar xvf $CWD/node-v$VERSION.tar.gz
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Manual installation
+mkdir -p $PKG/usr/share/$PKGNAM
+mkdir -p $PKG/usr/bin
+cp -a *.bin *.pak *.so $PKGNAM icudtl.dat version locales resources \
+ $PKG/usr/share/$PKGNAM
+
+(
+ cd $PKG/usr/bin
+ ln -sf ../share/$PKGNAM/$PKGNAM
+)
+
+# Install node headers
+mkdir -p $PKG/usr/share/$PKGNAM/node
+cp -a node-v$VERSION/* $PKG/usr/share/$PKGNAM/node
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE LICENSES.chromium.html $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/electron-prebuild/electron-prebuild.info b/development/electron-prebuild/electron-prebuild.info
new file mode 100644
index 0000000000..3b5a665428
--- /dev/null
+++ b/development/electron-prebuild/electron-prebuild.info
@@ -0,0 +1,14 @@
+PRGNAM="electron-prebuild"
+VERSION="1.3.13"
+HOMEPAGE="http://electron.atom.io/"
+DOWNLOAD="https://github.com/electron/electron/releases/download/v1.3.13/electron-v1.3.13-linux-ia32.zip \
+ https://atom.io/download/atom-shell/v1.3.13/node-v1.3.13.tar.gz"
+MD5SUM="9fffc7f4289fa82545af644594f56260 \
+ a483069ee09b287a81f319a241159125"
+DOWNLOAD_x86_64="https://github.com/electron/electron/releases/download/v1.3.13/electron-v1.3.13-linux-x64.zip \
+https://atom.io/download/atom-shell/v1.3.13/node-v1.3.13.tar.gz"
+MD5SUM_x86_64="f69857eb0a57ea47a7919ab4ef891b94 \
+ a483069ee09b287a81f319a241159125"
+REQUIRES=""
+MAINTAINER="DhabyX"
+EMAIL="slack.dhabyx@gmail.com"
diff --git a/development/electron-prebuild/slack-desc b/development/electron-prebuild/slack-desc
new file mode 100644
index 0000000000..bd9b2cadfa
--- /dev/null
+++ b/development/electron-prebuild/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+electron-prebuild: electron-prebuild (Library for building cross-platform applications)
+electron-prebuild:
+electron-prebuild: Electron is an open source library developed by GitHub for building
+electron-prebuild: cross-platform desktop applications with HTML, CSS, and JavaScript.
+electron-prebuild:
+electron-prebuild: Electron accomplishes this by combining Chromium and Node.js into a
+electron-prebuild: single runtime and apps can be packaged for Mac, Windows, and Linux.
+electron-prebuild:
+electron-prebuild: This is electron binary repackaged in Slackware style.
+electron-prebuild:
+electron-prebuild: